import { jsx } from "react/jsx-runtime";
import { TokenRGEN as TokenRGEN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRGEN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RGEN", "data-name": "TokenRGEN", ...props, children: /* @__PURE__ */ jsx(TokenRGEN$1, { variant }) });
  }
);
TokenRGEN.displayName = "TokenRGEN";
Object.assign(TokenRGEN, { isGdsIcon: true });
export {
  TokenRGEN
};
